"use strict";

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
Copyright 2021 Q-CTRL. All rights reserved.

Licensed under the Q-CTRL Terms of service (the "License"). Unauthorized
copying or use of this file, via any medium, is strictly prohibited.
Proprietary and confidential. You may not use this file except in compliance
with the License. You may obtain a copy of the License at

     https://q-ctrl.com/terms

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS. See the
License for the specific language.
*/
var _ = require("lodash");

var plugin = require("tailwindcss/plugin"); // Icons


module.exports = function (_ref) {
  var addUtilities = _ref.addUtilities,
      theme = _ref.theme,
      variants = _ref.variants,
      e = _ref.e;

  var iconSizeUtilities = _.map(theme("iconSize"), function (value, key) {
    return _defineProperty({}, ".".concat(e("icon-".concat(key))), {
      width: "".concat(value),
      height: "".concat(value)
    });
  });

  addUtilities([iconSizeUtilities], variants('iconSize'));
};